Bug 11192 - Race (?) in arp announcing/ve mass start code
: Race (?) in arp announcing/ve mass start code
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/vzctl)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-03-22 17:02 by
Modified: 2007-05-18 17:27 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-03-22 17:02:14
HN с 10-ю VE.  Все VE имеют "реальные" адреса (не NAT) на venet.  После
перезагрузки HN два VE из этих десяти не видны в локальной сети, только с HN. 
vzctl stop / vzctl start проблемных VE помогло.

Также наблюдал такое поведение во время vzmigrate --online - на целевом сервере
не анонсировался адрес VE.
------- Comment #1 From 2007-03-22 18:37:54 -------
Перезапускать пришлось всё - минут через пять "потерялись" и остальные.

Какая дополнительная информация нужна?
------- Comment #2 From 2007-04-15 03:39:55 -------
Интересно, если это race, то кто с кем соревнуется?
------- Comment #3 From 2007-04-15 20:46:36 -------
Не уверен, что такая же, но похожая ситуация была и у нас:
после перезагрузки сервера провайдер начал посылать ARP-запросы, чтобы
выяснить,
"наш ли это IP", и не получил ответа. Я не нашёл ничего лучше, чем прописать
недостающие анонсированные IP-адреса на venet0 и DNAT с них на локальные
адреса:
iptables -I PREROUTING -t nat -d 81.222.141.11 -j DNAT --to-destination
192.168.10.111
Локальные адреса (192.168.10.*) на venet0 не прописаны, но указаны внутри
контейнеров, как и анонсированные.
------- Comment #4 From 2007-05-18 02:27:53 -------
Предположительно исправлено в
http://git.altlinux.org/people/ldv/packages/?p=vzctl.git;a=commit;h=3.0.16-alt4-10-ge49328f
------- Comment #5 From 2007-05-18 17:27:28 -------
Fixed in 3.0.16-alt5.